

import pygame as pg
pg.init()

pg.display.set_caption("Semafor")
(sirina, visina) = (400, 400)
prozor = pg.display.set_mode((sirina, visina))

prozor.fill(pg.Color("white"))

# temena truogla
temena = [(200, 50), (350, 310), (50, 310)]
# crtamo trougao popunjen belom bojom
pg.draw.polygon(prozor, pg.Color("white"), temena)
# crtamo crveni okvir trougla
pg.draw.polygon(prozor, pg.Color("red"), temena, 30) 

pg.draw.circle(prozor,pg.Color("red"),(200,145), 25)
pg.draw.circle(prozor,pg.Color("yellow"),(200,205), 25)
pg.draw.circle(prozor,pg.Color("green"),(200,265), 25)
pg.draw.circle(prozor,pg.Color("black"),(200,145), 25, 2)
pg.draw.circle(prozor,pg.Color("black"),(200,205), 25, 2)
pg.draw.circle(prozor,pg.Color("black"),(200,265), 25, 2)

pg.display.update()
while pg.event.wait().type != pg.QUIT:
    pass
pg.quit()





